1. MannyZ28's Avatar
    The current version of YouTube on my phone is 2.1.6. I saw the article on Android Central about the new app (2.3.4) and followed the Market Link to it. When I got there, I got the dreaded "your device is not compatible with this app" message.

    Really? Why? It's YouTube!

    Anyone find a way around this?
    11-14-2011 08:26 PM
  2. Arcangel1000's Avatar
    Idk why, but I found the source link in xda. Here

    Multiupload.com - upload your files to multiple file hosting sites!

    Just download, find in the phone and install it. It worked for me and I'm not rooted.
    MannyZ28 likes this.
    11-14-2011 10:26 PM
  3. chazglenn3's Avatar
    Yep...I installed the apk and it works fine.
    11-14-2011 10:28 PM
  4. MannyZ28's Avatar
    Still weird....hm...

    Thanks for the link guys!
    11-14-2011 10:54 PM
  5. Arcangel1000's Avatar
    Still weird....hm...

    Thanks for the link guys!
    Your welcome.
    11-15-2011 11:07 PM
  6. rlanza1054's Avatar
    Hi,

    Does anyone know why it was not made available to our model phone?

    Rob

    Sent from my SPH-D710 using Tapatalk
    11-15-2011 11:27 PM
  7. RawisTheGameHhH's Avatar
    I just got this phone a week ago and I thought someone said it auto-updates on its own
    11-16-2011 08:10 AM
  8. davis.rob's Avatar
    I suspect this is just a mistake in the versions of Android that the YouTube app lists as "compatible". In the App Market it says "REQUIRES ANDROID: 2.2 - 2.3.3". The E4GT runs version 2.3.4. Hopefully YouTube (and/or Google) will clear this up soon. Might be worth dropping them an email asking why it doesn't support 2.3.4.
    11-16-2011 06:31 PM
  9. DataHawg's Avatar
    I installed the apk as well and it works fine. What's strange thought is that for a couple of weeks the market kept showing it had an update but when I tried to update it said not compatible with device. Now it doesn't show up in my apps in the market at all. Wierd.
    11-17-2011 03:42 AM
  10. ihbsbA's Avatar
    That link doesn't download a YouTube apk, what is that?

    Sent wirelessly with Tapatalk.
    11-18-2011 07:52 AM
  11. Knoidea513's Avatar
    direct download
    11-19-2011 12:43 AM
  12. mrsimps's Avatar
    Is this now hosted somewhere else? I can't get it download on my (stock) epic 4g touch. I keep getting the message that the file must have been moved. I finally got an "ilividsetupv1" file to download to my phone, but when I tried to install it, it said that there was no application on my phone that supported the file type. Any help would be much appreciated. Thanks!
    01-30-2012 05:55 PM
  13. Greebe's Avatar
    I suspect this is just a mistake in the versions of Android that the YouTube app lists as "compatible". In the App Market it says "REQUIRES ANDROID: 2.2 - 2.3.3". The E4GT runs version 2.3.4. Hopefully YouTube (and/or Google) will clear this up soon. Might be worth dropping them an email asking why it doesn't support 2.3.4.
    2.3.6 on updated phones
    01-30-2012 08:16 PM
  14. Sn1per 117's Avatar
    2.3.6 on updated phones
    This thread is old so it was 2.3.4 when it was posted. It's still annoying that the youtube app still says it's not compatible with our phones...
    01-30-2012 09:21 PM
  15. oversteer325's Avatar
    The EL29 Update also updated the YouTube app.
    01-31-2012 09:36 AM
  16. charthestar's Avatar
    That link doesn't work that you all used. Help!
    03-19-2012 03:51 PM
  17. charthestar's Avatar
    what is the EL29 update? How do I get my android 2.2 to update? I can't figure it out
    03-19-2012 03:53 PM
  18. treotraveler's Avatar
    That link doesn't work that you all used. Help!
    Go to link below, then to post #3. Then download Youtube apk 244 from the link in post 3

    http://forums.androidcentral.com/spr...pdate-apk.html
    03-19-2012 06:59 PM
  19. MannyZ28's Avatar
    what is the EL29 update? How do I get my android 2.2 to update? I can't figure it out
    Click on your menu key, then settings, then about phone. There it will tell you what Android version you are on and what baseband version you are (the latest baseband is EL29). The update should have been pushed to your phone a long time ago, if you still didn't get it, then you might want to call Sprint and have them walk you throught it or check as to why you didn't get the update yet. The latest Android version is, as mentioned earlier, 2.3.6.

    Good luck.
    03-19-2012 09:04 PM
  20. Shameel Faraz's Avatar
    I have Motorolla Droid and Lollipop Android, still not compatible.
    02-20-2017 08:45 AM
LINK TO POST COPIED TO CLIPBOARD